Contract
Search for contracts
GET /contract/search
GET /contract/search
Query parameters
contractIdstringqueryThe ID of the contract, e.g. 829211
customerIdstringqueryThe ID of the customer, e.g. 101020120
firstnamestringqueryThe first name to search for, e.g. John
lastnamestringqueryThe last name to search for, e.g. Smith
fullnamestringqueryThe full name to search for, e.g. John Smith
birthdaystringqueryThe birthday to search for, e.g. 1980-01-01
companystringqueryThe company to search for, e.g. enneo GmbH
emailstringqueryThe email to search for, e.g. john@smith.com
meterNumberstringqueryThe meter number to search for, e.g. 1ESY1160669167
addressstringqueryThe address to search for. Format is e.g. Eppendorfer Landstr. 32, 20249 Hamburg
postalCodestringqueryThe postal code to search for, e.g. 20249
citystringqueryThe city to search for, e.g. Hamburg
includeRawDatabooleanqueryIf yes, then the raw source data coming from the ERP is included in the response
Responses
200 — Successful operation
Response Example
[
{
"id": 1,
"similarity": 1,
"contract": {
"id": 746839,
"orderId": 123,
"tenant": null,
"customerId": "123",
"signupDate": 1661126400,
"status": "active",
"statusCode": 5000,
"statusCodeTitle": "active",
"energy": "electricity",
"energyTypeId": 1,
"energySubTypeId": 1,
"email": "johndoe@example.com",
"firstname": "John",
"lastname": "Doe",
"deliveryAddress": "Hugo-Junkers-Str. 5, 82031 Grünwald",
"iban": "DE89370400440532013000",
"monthlyDeposit": 53,
"startDate": 1661990400,
"endDate": null,
"consumption": 3477,
"counterNumber": "1ESY1160669167",
"productId": 1,
"productName": "Flex 24",
"productCode": "flx_24",
"campaignId": 1
}
}
]400 — Bad request